<?php

/**
 * Class WebException
 * 在WEB处理过程中如果出现错误,则抛出此异常
 */
class WebException extends Exception
{
    public function __construct($message, $code = 0) {
        parent::__construct($message, $code);
    }

    public function __toString() {
        return __CLASS__.':['.$this->code.']:'.$this->message.'\n';
    }
}